## fontparts 0.8.7

=== requirements.txt ===
FontTools[ufo,lxml,unicode]==3.42.0
fontMath==0.5.0
defcon[pens]==0.6.0

=== debian/changelog ===
fontparts (0.8.7-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Nov 2019 11:50:51 -0500

fontparts (0.8.7-1) unstable; urgency=medium

  * Initial release (Closes: #926367)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:29:31 -0300

=== debian/control ===
Source: fontparts
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-fonttools (>= 3.42.0),
 python3-fontmath (>= 0.5.0),
 python3-defcon (>= 0.6.0),
 python3-unittest2,
 python3-fontpens,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/robotools/fontParts
Vcs-Browser: https://salsa.debian.org/fonts-team/fontparts
Vcs-Git: https://salsa.debian.org/fonts-team/fontparts.git
Testsuite: autopkgtest-pkg-python

Package: python3-fontparts
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-fontparts-doc
Description: API for interacting with the parts of fonts
 FontParts is a Python API for programmatically creating and editing parts of
 fonts during the type design process, and it is application-independent to
 allow scripts to be portable across multiple applications.
 .
 This package installs the library for Python 3.

Package: python-fontparts-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: API for interacting with the parts of fonts (common documentation)
 FontParts is a Python API for programmatically creating and editing parts of
 fonts during the type design process, and it is application-independent to
 allow scripts to be portable across multiple applications.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
https://github.com/robotools/fontParts/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## fontparts 0.9.2

=== requirements.txt ===
FontTools[lxml,ufo,unicode]==4.2.1
fontMath==0.5.0
defcon[pens]==0.6.0
booleanOperations==0.8.2

=== debian/changelog ===
fontparts (0.9.2-2) unstable; urgency=medium

  * d/control: Manually add dependency python3-booleanoperations

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 03 Mar 2020 01:13:43 +0800

fontparts (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.5.0; No changes has been made in that
      regard
  * debian/salsa-ci.yml: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 20:59:31 +0800

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-fonttools (>= 3.42.0),
+ python3-fonttools (>= 4.2.1),
  python3-fontmath (>= 0.5.0),
  python3-defcon (>= 0.6.0),
- python3-unittest2,
+ python3-booleanoperations (>= 0.8.2),
  python3-fontpens,
+ python3-coverage,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/robotools/fontParts
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontparts
 Vcs-Git: https://salsa.debian.org/fonts-team/fontparts.git
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-fontparts
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends},
+ python3-booleanoperations (>= 0.8.2),
 Suggests: python-fontparts-doc
 Description: API for interacting with the parts of fonts
  FontParts is a Python API for programmatically creating and editing parts of

## fontparts 0.9.6

=== requirements.txt ===
FontTools[ufo,lxml,unicode]==4.14.0
fontMath==0.6.0
defcon[pens]==0.6.0
booleanOperations==0.9.0

=== debian/changelog ===
fontparts (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 23:21:39 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-fonttools (>= 4.2.1),
- python3-fontmath (>= 0.5.0),
+ python3-fonttools (>= 4.14.0),
+ python3-fontmath (>= 0.6.0),
  python3-defcon (>= 0.6.0),
- python3-booleanoperations (>= 0.8.2),
+ python3-booleanoperations (>= 0.9.0),
  python3-fontpens,
  python3-coverage,
  python3-sphinx,
@@ -23,7 +23,7 @@
 Package: python3-fontparts
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-booleanoperations (>= 0.8.2),
+ python3-booleanoperations (>= 0.9.0),
 Suggests: python-fontparts-doc
 Description: API for interacting with the parts of fonts
  FontParts is a Python API for programmatically creating and editing parts of

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=fontparts

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=./Lib sphinx-build $(CURDIR)/documentation/source $(CURDIR)/debian/python-fontparts-doc/usr/share/doc/fontparts/html/
	dh_sphinxdoc

override_dh_auto_test:
	PYTHONPATH=./Lib python3 ./Lib/fontParts/fontshell/test.py

## fontparts 0.10.6

=== requirements.txt ===
FontTools[lxml,unicode,ufo]==4.33.3
fontMath==0.9.1
defcon[pens]==0.10.1
booleanOperations==0.9.0

=== debian/changelog ===
fontparts (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 09 Jul 2022 11:19:47 +0800

fontparts (0.10.5-1) unstable; urgency=medium

  * New upstream version 0.10.5
  * debian/gbp.conf: set debian-branch to debian/latest to follow DEP-14
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.6.1; No other changes are needed

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 May 2022 16:51:18 +0800

fontparts (0.10.4-1) unstable; urgency=medium

  * debian/watch: Fix upstream release version format
  * New upstream version 0.10.4
    - Update to use Collections.abc.Hashable (Closes: #1009439)
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.6.0; No other changes are needed
  * Add dependency and fixes for setuptools-scm

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 13 Apr 2022 21:42:54 +0800

fontparts (0.9.6-2) experimental; urgency=medium

  * debian/watch: Change GitHub archive URL
  * debian/source/lintian-override: fix false positive message

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 07 Nov 2021 22:58:51 +0800

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-fonttools (>= 4.14.0),
- python3-fontmath (>= 0.6.0),
- python3-defcon (>= 0.6.0),
+ python3-setuptools-scm,
+ python3-fonttools (>= 4.33.3),
+ python3-fontmath (>= 0.9.1),
+ python3-defcon (>= 0.10.1),
  python3-booleanoperations (>= 0.9.0),
  python3-fontpens,
  python3-coverage,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/robotools/fontParts
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontparts
 Vcs-Git: https://salsa.debian.org/fonts-team/fontparts.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
+VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 export PYBUILD_NAME=fontparts
 
@@ -14,3 +18,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=./Lib python3 ./Lib/fontParts/fontshell/test.py
+
+override_dh_clean:
+	dh_clean
+	rm Lib/fontParts/_version.py

=== debian/watch ===
version=4
https://github.com/robotools/fontParts/releases \
	.*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## fontparts 0.12.1

=== requirements.txt ===
FontTools[ufo,lxml,unicode]==4.43.1
fontMath==0.9.3
defcon[pens]==0.10.3
booleanOperations==0.9.0

=== debian/changelog ===
fontparts (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/7c75231dfe33cb494ec185ccbdaed89af44ed357.patch:
    Add patch from upstream to fix compilation with Python 3.12.
    (Closes: #1074650)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jul 2024 10:43:35 -0400

fontparts (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.1.
  * debian/control:
    + Bump debhelper compat to v13, Standards-Version to 4.7.0.
    + Use pybuild-plugin-pyproject to build python package.
    + Add Built-Using: ${sphinxdoc:Built-Using} for doc package.
  * debian/rules: Simplify building scripts.
  * debian/source/lintian-overrides: Fix lintian overrides.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 23:04:04 -0400

## fontparts 0.12.2

=== requirements.txt ===
FontTools[ufo,unicode,lxml]==4.53.1
fontMath==0.9.4
defcon[pens]==0.10.3
booleanOperations==0.9.0

=== debian/changelog ===
fontparts (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/7c75231dfe33cb494ec185ccbdaed89af44ed357.patch:
    Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 21:03:20 -0400

=== debian/control ===
Source: fontparts
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-fonttools (>= 4.43.1),
 python3-fontmath (>= 0.9.2),
 python3-defcon (>= 0.10.1),
 python3-booleanoperations (>= 0.9.0),
 python3-fontpens,
 python3-coverage,
 python3-sphinx,
Standards-Version: 4.7.0
Homepage: https://github.com/robotools/fontParts
Vcs-Browser: https://salsa.debian.org/fonts-team/fontparts
Vcs-Git: https://salsa.debian.org/fonts-team/fontparts.git
Description: API for interacting with the parts of fonts
 FontParts is a Python API for programmatically creating and editing parts of
 fonts during the type design process, and it is application-independent to
 allow scripts to be portable across multiple applications.

Package: python3-fontparts
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-booleanoperations (>= 0.9.0),
Suggests: python-fontparts-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

Package: python-fontparts-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: ${source:Synopsis} (common documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

## fontparts 0.12.3

=== requirements.txt ===
FontTools[ufo,unicode,lxml]==4.54.1
fontMath==0.9.4
defcon[pens]==0.10.3
booleanOperations==0.9.0

=== debian/changelog ===
fontparts (0.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Nov 2024 13:59:15 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_NAME=fontparts
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	PYTHONPATH=./Lib sphinx-build $(CURDIR)/documentation/source $(CURDIR)/debian/python-fontparts-doc/usr/share/doc/fontparts/html/
@@ -19,6 +19,5 @@
 override_dh_auto_test:
 	PYTHONPATH=./Lib python3 ./Lib/fontParts/fontshell/test.py
 
-override_dh_clean:
-	dh_clean
-	rm Lib/fontParts/_version.py
+execute_after_dh_clean:
+	rm -fv Lib/fontParts/_version.py

## fontparts 0.12.4

=== debian/changelog ===
fontparts (0.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Apr 2025 08:26:12 -0400

## fontparts 0.13.3

=== requirements.txt ===
FontTools[ufo,lxml,unicode]==4.55.2
fontMath==0.9.4
defcon[pens]==0.10.3
booleanOperations==0.9.0

=== documentation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FontParts.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FontParts.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FontParts"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FontParts"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

SPHINXAUTOBUILD = sphinx-autobuild

ALLSPHINXLIVEOPTS = $(ALLSPHINXOPTS) -q \
	-p 0 \
	-H 0.0.0.0 \
	-B \
	--delay 1 \
	--ignore "*.swp" \
	--ignore "*.pdf" \
	--ignore "*.log" \
	--ignore "*.out" \
	--ignore "*.toc" \
	--ignore "*.aux" \
	--ignore "*.idx" \
	--ignore "*.ind" \
	--ignore "*.ilg" \
	--ignore "*.tex" \
	--watch source/_themes/fontPartsTheme/

.PHONY: livehtml
livehtml:
	$(SPHINXAUTOBUILD) -b html $(ALLSPHINXLIVEOPTS) $(BUILDDIR)
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)."

=== debian/changelog ===
fontparts (0.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.13.3. (Closes: #1085580)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 21:15:18 +0200

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
 
 Package: python-fontparts-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import fontParts; print(fontParts)" ; done
Depends: python3-all, python3-fontparts
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/robotools/fontParts/tags?per_page=100 \
 https://api.github.com/repos/robotools/fontParts/tarball/refs/tags/@ANY_VERSION@

## fontparts 0.13.4

=== debian/changelog ===
fontparts (0.13.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.13.4.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Jan 2026 15:19:22 -0500

## fontparts 0.14.0

=== requirements.txt ===
FontTools[ufo,lxml,unicode]==4.60.2
fontMath==0.9.4
defcon[pens]==0.12.2
booleanOperations==0.10.0

=== debian/changelog ===
fontparts (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.14.0.
  * debian/clean: Explicitly clean *.egg-info/ directory. (Closes: #1044565)

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Jan 2026 15:02:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fontparts
 Section: devel
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
@@ -17,7 +16,7 @@
  python3-fontpens,
  python3-coverage,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/robotools/fontParts
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontparts
 Vcs-Git: https://salsa.debian.org/fonts-team/fontparts.git
